/**
 * @file class1\lighting\sumLightsV.glsl
 *
 * $LicenseInfo:firstyear=2005&license=viewerlgpl$
 * Second Life Viewer Source Code
 * Copyright (C) 2005, Linden Research, Inc.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation;
 * version 2.1 of the License only.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 * Linden Research, Inc., 945 Battery Street, San Francisco, CA  94111  USA
 * $/LicenseInfo$
 */
 
uniform vec4 light_position[8];
uniform vec3 light_diffuse[8];

float calcDirectionalLight(vec3 n, vec3 l);

vec3 atmosAmbient();
vec3 atmosAffectDirectionalLight(float lightIntensity);
vec3 scaleDownLight(vec3 light);

vec4 sumLights(vec3 pos, vec3 norm, vec4 color)
{
	vec4 col = vec4(0);
	col.a = color.a;
	
	col.rgb = light_diffuse[1].rgb * calcDirectionalLight(norm, light_position[1].xyz);
	col.rgb = scaleDownLight(col.rgb);

#if defined(LOCAL_LIGHT_KILL)
    col.rgb = vec3(0);
#endif

#if !defined(SUNLIGHT_KILL)
	col.rgb += atmosAffectDirectionalLight(calcDirectionalLight(norm, light_position[0].xyz));
#endif

	col.rgb = min(col.rgb*color.rgb, 1.0);
	return col;	
}


